import datetime
import json

portal_timezone = datetime.timezone(offset=datetime.timedelta(hours=1), name='UTC+1')


NOW = datetime.datetime.now(tz=portal_timezone)


def strip_seconds(time):
    if not time:
        return time
    return time.replace(second=0, microsecond=0)


# source: https://stackoverflow.com/questions/11875770/how-to-overcome-datetime-datetime-not-json-serializable
class DateTimeEncoder(json.JSONEncoder):
    def default(self, o):
        if isinstance(o, datetime.datetime):
            return o.isoformat()

        return json.JSONEncoder.default(self, o)